summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2011-05-23 20:19:53 +0200
committerJim Meyering <meyering@redhat.com>2011-05-24 07:04:20 +0200
commit2f6e77b9fb917c39e563623f8312c2b00df6b955 (patch)
tree764b4540a31af14d183af4cabac120a6e32c2118
parent44bd12f2fd2ce4ce5f0b4cb23aed660caaf396cc (diff)
downloadidutils-2f6e77b9fb917c39e563623f8312c2b00df6b955.tar.gz
idutils-2f6e77b9fb917c39e563623f8312c2b00df6b955.tar.bz2
idutils-2f6e77b9fb917c39e563623f8312c2b00df6b955.zip
tests: add tests for the lid -F ..N bug
* testsuite/lid-range: New file with tests based on a report by Shigio YAMAGUCHI in http://thread.gmane.org/gmane.comp.gnu.idutils.bugs/137 * testsuite/Makefile.am (TESTS): Add it. * NEWS (Bug fixes): Mention the bug fix.
-rw-r--r--NEWS4
-rw-r--r--testsuite/Makefile.am3
-rwxr-xr-xtestsuite/lid-range47
3 files changed, 53 insertions, 1 deletions
diff --git a/NEWS b/NEWS
index 251b296..e166d4c 100644
--- a/NEWS
+++ b/NEWS
@@ -2,6 +2,10 @@ GNU idutils NEWS -*- outline -*-
* Noteworthy changes in release ?.? (????-??-??) [?]
+** Bug fixes
+
+ lid -L no longer mishandles open-ended ranges like "..2" and "2.."
+
* Noteworthy changes in release 4.5 (2010-06-17) [stable]
diff --git a/testsuite/Makefile.am b/testsuite/Makefile.am
index 3bb2bae..a31ce49 100644
--- a/testsuite/Makefile.am
+++ b/testsuite/Makefile.am
@@ -4,7 +4,8 @@ TESTS = \
consistency \
files0-from \
help-version \
- infloop-kawa-el
+ infloop-kawa-el \
+ lid-range
EXTRA_DIST = \
$(TESTS) \
diff --git a/testsuite/lid-range b/testsuite/lid-range
new file mode 100755
index 0000000..783ba26
--- /dev/null
+++ b/testsuite/lid-range
@@ -0,0 +1,47 @@
+#!/bin/sh
+# Demonstrate how lid's open-ended ranges work
+
+# Copyright (C) 2011 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+cat <<\EOF > in.txt || framework_failure_
+one
+two two
+three three three
+four four four four
+EOF
+
+echo '*.txt text' > map || framework_failure_
+
+mkid -m map || framework_failure_
+
+cat <<\EOF > exp || framework_failure_
+one in.txt
+two in.txt
+EOF
+lid -F ..2 > out || fail=1
+compare out exp || fail=1
+
+cat <<\EOF > exp || framework_failure_
+four in.txt
+three in.txt
+two in.txt
+EOF
+lid -F 2.. > out || fail=1
+compare out exp || fail=1
+
+Exit $fail